Teknik Gereksinimler

Önerilen tüm sürümler, her bir serinin en son yayınlanan sürümüne dayanmaktadır.

Desteklenen Yazılımlar İçin Gereksinimler

Joomla! 3.x için gerekenler
Yazılım Önerilen Asgari Daha fazla bilgi
PHP[1] 7.1 + 5.3.10 (Magic Quotes GPC, MB String Overload = off)
(Zlib Compression Support, XML Support, INI Parser Support, JSON Support, Mcrypt Support, MB Language = Default)
Desteklenen Veritabanları
MySQL[2] 5.5.3 + 5.1 (InnoDB support required)
SQL Server 10.50.1600.1 + 10.50.1600.1 https://www.microsoft.com/sql
PostgreSQL 9.1 + 8.3.18 https://www.postgresql.org/
Desteklenen Web Sunucuları
Apache[3] 2.4 + 2.0 (with mod_mysql, mod_xml, and mod_zlib)
Nginx 1.8 + 1.0 https://www.nginx.com/resources/wiki/
Microsoft IIS[6] 7 7 https://www.iis.net
Lütfen Joomla 3.x'te desteklenen tarayıcıların bir listesi için https://docs.joomla.org/Joomla_Browser_Support adresini ziyaret edin.

Dipnotlar

[1] PHP 5.3.1, 3.0 ile 3.2 arasındaki sürümler için gereklidir. 3.3'te minimum PHP 5.3.10'a yükseltildi. Joomla! 3.5 ve daha sonraki sürümler PHP 7 ile uyumludur.

[2] Joomla! 3.5'ten itibaren MySQL `utf8mb4` karakter kümesi desteği, onu destekleyen sunucular tarafından varsayılan olarak eklenir ve kullanılır.

[3] SEO URL'lerini kullanmak için Apache mod_rewrite eklentisinin kurulu olması gerekir.

[4] PHP 4.3.9, 4.4.2 veya 5.0.4 kullanmayın. Bu sürümlerde, yüklemede sorun olacak bilinen hatalar var. PHP 4.4 için Zend Optimizer 2.5.10 da ciddi hatalara sahip ve sizin sunucu sağlayıcınıza daha yeni bir sürüme geçmesini istemeniz gerekir. Joomla! 1.5.15 ve sonraki sürümleri PHP 5.3 ile uyumludur. OpenID kütüphanesinin PHP 5.3 ile uyumlu olmadığını unutmayın.

[5] 2.5 sürümü için Microsoft SQL Server desteği eklendi; 1.6 ve 1.7 bu desteğe sahip değildir.

[6] Microsoft IIS için (kurulumunuza bağlı olarak) aşağıdakilere ihtiyacınız olabilir:

Microsoft IIS'yi kullanma konusunda daha fazla yardım için Joomla! IIS forumunu ziyaret edin.

Yapılandırma Seçenekleri

Yerel bir bilgisayara yüklüyorsanız, tek tek yüklemelere göre daha hızlı kurulum yapmanıza yardımcı olacak birkaç paket vardır:

Başka seçeneklere ihtiyaç duyarsanız, daha fazla bilgi için kurulum forumlarımızı ziyaret etmenizi veya isteğe bağlı teknik gereksinimler listemizi incelemenizi öneririz.

İlgili Makaleler

Joomla 4.0.3 ve Joomla 3.10.2 artık kullanılabilir
Joomla 4.0.2 hata düzeltme güncellemesi yayınlandı
Joomla 4.0.1 ve Joomla 3.10.1 burada!

Joomla!® Keşfedin

Joomla!® Haberler

Joomla!® Destek

Sosyal Ağlar

© 2005 - 2020 Joomlatr.org. Her hakkı saklıdır.
Joomla!® Web Tasarım: Uğur Uygur
Joomla!® name is used under a limited license from Open Source Matters in the United States and other countries. Joomlatr.org is not affiliated with or endorsed by Open Source Matters or the Joomla! Project.